Description: elpa-emacs
Forwarded: not-needed
 Place emacs interface files into an elpa package.
Author: Camm Maguire <camm@debian.org>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: 2021-02-03

Index: acl2-8.5dfsg/emacs/emacs-acl2.el
===================================================================
--- acl2-8.5dfsg.orig/emacs/emacs-acl2.el
+++ acl2-8.5dfsg/emacs/emacs-acl2.el
@@ -180,10 +180,12 @@
                        "\[^\\]+\\*$"
                      "/[^/]+/*$"))
           (dir (file-name-directory load-file-name)))
-      (let ((posn (string-match pattern dir)))
-        (if posn
-            (setq *acl2-sources-dir*
-                  (substring dir 0 (1+ posn)))))))
+      (setq *acl2-sources-dir* dir)
+      ;; (let ((posn (string-match pattern dir)))
+      ;;   (if nil; posn
+      ;;       (setq *acl2-sources-dir*
+      ;;             (substring dir 0 (1+ posn)))))
+      ))
 
 ; The following causes, for every event, the event name to be given
 ; the same color (in font-lock mode) as when defun is called.  If you
@@ -924,7 +926,7 @@ beginning of the string that was process
       *acl2-interface-dir*
     (setq *acl2-interface-dir*
 ; common location (i.e., for those who install ACL2 community books in books/):
-          (concat (acl2-sources-dir) "books/interface/emacs/"))))
+          (concat (acl2-sources-dir) ""))))
 
 (autoload 'start-proof-tree
   (concat (acl2-interface-dir) "top-start-shell-acl2")
@@ -1070,13 +1072,13 @@ of the current s-expression in the enclo
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 
 ; Support for Dynamic Monitoring of Rewrites (dmr)
-(load (concat (acl2-sources-dir) "emacs/monitor.el"))
+(load (concat (acl2-sources-dir) "monitor"))
 
 ; Support for ACL2-Doc browser
-(load (concat (acl2-sources-dir) "emacs/acl2-doc.el"))
+(load (concat (acl2-sources-dir) "acl2-doc"))
 
 ; Support for xdoc-link-mode, used by acl2+books XDOC manual
-(let ((xdoc-el-file (concat (acl2-sources-dir) "books/xdoc/xdoc.el")))
+(let ((xdoc-el-file (concat (acl2-sources-dir) "xdoc")))
   (if (file-exists-p xdoc-el-file)
       (load xdoc-el-file)))
 
